Skip to main content
PATCH
Update a scheduling link template
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

id
string
required

The unique ID or SID of the scheduling link template.

Body

application/json
slug
string

New slug of the scheduling link. This value should be unique.

Example:

"meeting-with-oliver-smith-new"

name
string

New name of the scheduling link.

Example:

"Meeting with Oliver Smith"

description
string

Description of the scheduling link.

Example:

"Discuss project updates"

hosts
string[]

Emails of the hosts of scheduling link in array format.

Example:
duration
integer

Duration of the scheduling link in minutes.

Example:

30

start_time_increment
integer

Start time increment for the scheduling link in minutes. Defaults to 30.

Example:

30

before_buffer_time
integer

Buffer time in minutes before each meeting to allow for setup, preparation, or travel time. Must be between 0 and 1440 (24 hours).

Required range: 0 <= x <= 1440
Example:

0

after_buffer_time
integer

Buffer time in minutes after each meeting to allow for wrap-up, notes, or preparation for the next meeting. Must be between 0 and 1440 (24 hours).

Required range: 0 <= x <= 1440
Example:

0

spot_phone_call_number
string

Phone number for the meeting when place is set to phone_call.

Example:

"+1-555-0123"

spot_custom_text
string

Custom meeting instructions or details when meeting place is set to custom.

Example:

"Custom meeting instructions"

spot_in_person_location
string

Physical location details when meeting place is set to in_person.

Example:

"123 Main St, Suite 100"

locked_time_zone
string

Time zone to lock the scheduling link to. When set, all available times are displayed in this time zone regardless of the booker's location. Must be a valid IANA time zone identifier (e.g., 'America/New_York', 'Europe/London').

Example:

"America/New_York"

allow_multiple_add_on_services
boolean

Whether people booking can choose more than one add-on service. Manage the add-on services themselves with the add-on services endpoints.

Example:

true

Response

200 - application/json

OK - Request succeeded

meeting_template
object